SAML login (redirect to IdP and call back to Dashboard)
GET /api/saml/{login_option_id}/login
GET /api/saml/{login_option_id}/loginInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
login_option_id*string
Login option ID.
Query Parameters
redirect_uri?string
Path to be redirected after callback.
Match
^/Length
1 <= lengthResponse Body
curl -X GET "$API_BASE_URL/api/saml/string/login"Redirect to IdP.
Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
GET /api/saml/{login_option_id}/login
SAML login (redirect to IdP and call back to Dashboard)
Start SAML 2.0 login by redirecting to the identity provider and preparing for ACS callback handling.
Parameters
login_option_id(path, string, required): Login option ID.redirect_uri(query, string, optional): Path to be redirected after callback.
Responses
302: Redirect to IdP.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X GET '$API_BASE_URL/api/saml/{login_option_id}/login'